org.apache.ignite.internal.processors.cache

## Class WalStateResult

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.WalStateResult

    public class WalStateResult
    extends Object

Local WAL state change result.

### Constructor Summary

Constructors
Constructor and Description
`WalStateResult(WalStateProposeMessage msg, boolean changed)` Constructor.
`WalStateResult(WalStateProposeMessage msg, String errMsg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `changed()`
`String` `errorMessage()`
`WalStateProposeMessage` `message()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalStateResult

    public WalStateResult(WalStateProposeMessage msg,
                          boolean changed)

Constructor.

Parameters:
  `msg` - Original message.
  `changed` - Whether mode was changed.

#### WalStateResult

    public WalStateResult(WalStateProposeMessage msg,
                          String errMsg)

Constructor.

Parameters:
  `msg` - Original message.
  `errMsg` - Error message (if any).

### Method Detail

#### message

    public WalStateProposeMessage message()

Returns:
  Original message.

#### changed

    public boolean changed()

Returns:
  Whether mode was changed.

#### errorMessage

    @Nullable
    public String errorMessage()

Returns:
  Error message (if any).

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019